# This puppet manifest is used to test backup and restore in an automated fashion
# This tests the backup and restores when manged by sunet::baas2 from puppet-sunet
# Jira-ref: SUNETOPS-1997
class net::baas2_restoretest(
  Enum['backupnode', 'restorenode'] $node_type = undef,
) {

  file { '/opt/baas2':
    ensure => directory,
    mode   => '0755',
    owner  => 'root',
    group  => 'root',
  }

  if $node_type == 'restorenode' {
    package { 'expect': ensure => installed }
    file { '/opt/restore-target':
      ensure => directory,
      mode   => '0755',
      owner  => 'root',
      group  => 'root',
    }

    file { '/opt/baas2/run-successful-restore.expect':
      ensure  => 'file',
      mode    => '0755',
      owner   => 'root',
      content => file('net/baas2_restoretest/run-successful-restore.expect')
    }

    file { '/opt/baas2/cancel-restore.expect':
      ensure  => 'file',
      mode    => '0755',
      owner   => 'root',
      content => file('net/baas2_restoretest/cancel-restore.expect')
    }

    file { '/opt/baas2/run-failed-restore.expect':
      ensure  => 'file',
      mode    => '0755',
      owner   => 'root',
      content => file('net/baas2_restoretest/run-failed-restore.expect')
    }

    file { '/opt/baas2/validate-backup-files':
      ensure  => 'file',
      mode    => '0755',
      owner   => 'root',
      content => file('net/baas2_restoretest/validate-backup-files')
    }

    file { '/usr/local/sbin/baas2-check-restore-status':
      ensure  => 'file',
      mode    => '0755',
      owner   => 'root',
      content => file('net/baas2_restoretest/baas2-check-restore-status')
    }
  }

  if $node_type == 'backupnode' {
    file { '/opt/backup-test':
      ensure => directory,
      mode   => '0755',
      owner  => 'root',
      group  => 'root',
    }

    file { '/opt/baas2/gen-backup-files':
      ensure  => 'file',
      mode    => '0755',
      owner   => 'root',
      content => file('net/baas2_restoretest/gen-backup-files')
    }
  }

}
